> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.select.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a team

> Update an existing team's information. Currently only the team name can be updated.



## OpenAPI

````yaml https://api.select.dev/public_openapi put /api/{organization_id}/teams/{team_id}
openapi: 3.1.0
info:
  title: SELECT API (v1)
  version: 0.1.0
servers:
  - url: https://api.select.dev/
    description: SELECT API
security: []
paths:
  /api/{organization_id}/teams/{team_id}:
    put:
      tags:
        - teams
        - public-api
      summary: Update a team
      description: >-
        Update an existing team's information. Currently only the team name can
        be updated.
      operationId: update_team_route_api__organization_id__teams__team_id__put
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the team
            title: Team Id
          description: The ID of the team
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicTeamUpdate'
              description: The updated team configuration.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicTeam'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    PublicTeamUpdate:
      properties:
        name:
          type: string
          title: Name
          description: The new name for the team.
        default_member_role:
          $ref: '#/components/schemas/TeamRoleEnum'
          description: Default role assigned to new members when they are added to the team
          default: editor
      type: object
      required:
        - name
      title: PublicTeamUpdate
      description: Schema for updating an existing team via public API.
    PublicTeam:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier of the team
        name:
          type: string
          title: Name
          description: The name of the team
        is_all_users:
          type: boolean
          title: Is All Users
          description: >-
            Whether this is the special 'all users' team that automatically
            includes all organization members
        default_member_role:
          $ref: '#/components/schemas/TeamRoleEnum'
          description: Default role assigned to new members when they are added to the team
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the team was created
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: When the team was last updated
      type: object
      required:
        - id
        - name
        - is_all_users
        - default_member_role
        - created_at
        - updated_at
      title: PublicTeam
      description: Basic team information returned by public API.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TeamRoleEnum:
      type: string
      enum:
        - editor
        - viewer
      title: TeamRoleEnum
      description: >-
        Defines the permission level of a user within a team:

        - EDITOR: Can manage team resources, create and modify shared items, and
        change settings

        - VIEWER: Can view team resources and have limited interaction
        capabilities
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````